/***************************************************************************
                           soundwidgetimpl.h
                           -------------------
    begin                : Mon Jun 3 2002
    copyright            : (C) 2003 by Dirk Ziegelmeier
    email                : dziegel@gmx.de
    rcs data             : $Id: $
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SOUNDWIDGETIMPL_H
#define SOUNDWIDGETIMPL_H

#include "soundwidget.h"
#include "pluginfactory.h"

class ConfigData;
class QtVision;

/**
 * @author Dirk Ziegelmeier <dziegel@gmx.de>
 */

class SoundWidgetImpl : public SoundWidget
{
    Q_OBJECT
	
public: 
    SoundWidgetImpl(QWidget*, QtVision*);
    ~SoundWidgetImpl();

    void setup(ConfigData*, KConfig*);
    void apply(ConfigData*, KConfig*);

    
private slots:
    void mixerSelectionChanged(const QString& mixer);
    void configurePlugin();
    

private:
    PluginDesc* getPluginDesc(const QString& mixer);

    QtVision   *_qtv;
};
#endif
